# FairMQ: fair::mq::sdk::cmd::GetProperties Struct Reference

fair::mq::sdk::cmd::GetProperties Struct Reference
Inheritance diagram for fair::mq::sdk::cmd::GetProperties:
[legend]
Collaboration diagram for fair::mq::sdk::cmd::GetProperties:
[legend]

## Public Member Functions

| GetProperties (std::size_t request_id, std::string query)
auto | GetRequestId () const -> std::size_t
auto | SetRequestId (std::size_t requestId) -> void
auto | GetQuery () const -> std::string
auto | SetQuery (std::string query) -> void
Public Member Functions inherited from fair::mq::sdk::cmd::Cmd
| Cmd (const Type type)
Type | GetType () const

The documentation for this struct was generated from the following file:

- fairmq/sdk/commands/Commands.h

privacy